FAQ
My proposal to add a 'lib_requires' keyword to the META file - with
identical semantics as Devel::CheckLib did not make at this round of
META spec changes. Now I think that maybe a better strategy would be
to start with adding this to the documentation. I am sure many
packages already do that - but I have encountered others that don't.
What I have in mind is a standard POD section that would be generated
by all the module scaffolding generators (like Module::Starter) and
which would contain all the information needed to install the external
lib in common environments. After this becomes a common thing we would
be able to make more informed decisions about including it into the
META file.

http://perlalchemy.blogspot.com/2009/12/external-dependencies-once-again.html

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 1 of 1 | next ›
Discussion Overview
groupcpan-workers @
categoriesperl
postedDec 5, '09 at 11:31a
activeDec 5, '09 at 11:31a
posts1
users1
websitecpan.org

1 user in discussion

Zbigniew Lukasiak: 1 post

People

Translate

site design / logo © 2021 Grokbase